# Dropped off by Chef, thanks!
#
# msmtprc -- a config file for mSMTP sendmail.
#

<%- @config.each do |name, acc| %>
  account <%= @name %>
  host <%= acc[:host] || node['msmtp']['host'] %>
  from <%= acc[:from] || "noreply@#{node['msmtp']['domain']}" %>
  <%- if acc[:cert] || node['msmtp']['cert'] %>
  tls <%= acc[:tls] || "on" %>
  tls_starttls <%= acc[:starttls] || "on" %>
  tls_force_sslv3 <%= acc[:sslv3] || "off" %>
  tls_trust_file <%= acc[:cert] || node['msmtp']['cert'] %>
  <%- end %>
  protocol smtp
  auth <%= acc[:auth] || "on" %>
  maildomain <%= acc[:domain] || node['msmtp']['domain'] %>
  user <%= acc[:username] %>
  password <%= acc[:password] %>
  port <%= acc[:port] || node['msmtp']['port'] %>
  <%- if acc[:log] %>
  syslog <%= acc[:syslog] || "off" %>
  logfile <%= acc[:log] %>
  <%- end %>

  <%- if acc[:default] %>
  account default : <%= name %>
  <%- end %>
<%- end %>
